Public Member Functions | Public Attributes | List of all members
libetonyek::NUM1Dictionary Struct Reference

`#include <NUM1Dictionary.h>`

Inheritance diagram for libetonyek::NUM1Dictionary:

## Public Member Functions
| NUM1Dictionary ()
Public Member Functions inherited from libetonyek::IWORKDictionary
| IWORKDictionary ()

## Public Attributes
IWORKStyleMap_t | m_workspaceStyles
Public Attributes inherited from libetonyek::IWORKDictionary
IWORKStyleMap_t | m_cellStyles
IWORKStyleMap_t | m_characterStyles
IWORKStyleMap_t | m_chartStyles
IWORKStyleMap_t | m_chartSeriesStyles
IWORKStyleMap_t | m_graphicStyles
IWORKStyleMap_t | m_headlineStyles
IWORKStyleMap_t | m_layoutStyles
IWORKStyleMap_t | m_listStyles
IWORKStyleMap_t | m_paragraphStyles
IWORKStyleMap_t | m_slideStyles
IWORKStyleMap_t | m_tableStyles
IWORKStyleMap_t | m_tableCellStyles
IWORKStyleMap_t | m_tableVectorStyles
IWORKStyleMap_t | m_tabularStyles
IWORKStyleMap_t | m_tocStyles
IWORKStyleMap_t | m_vectorStyles
IWORKStylesheetMap_t | m_stylesheets
IWORKPathMap_t | m_beziers
IWORKMediaContentMap_t | m_binaries
IWORKColumnsMap_t | m_columnSets
IWORKShadowMap_t | m_coreImageFilterInfos
IWORKDataMap_t | m_data
IWORKDateTimeFormatMap_t | m_dateTimeFormats
IWORKDurationFormatMap_t | m_durationFormats
IWORKExternalTextWrapMap_t | m_externalTextWraps
IWORKFillMap_t | m_fills
IWORKFilterDescriptorMap_t | m_filterDescriptors
IWORKMediaContentMap_t | m_filteredImages
IWORKFiltersMap_t | m_filters
IWORKFormulaMap_t | m_formulas
IWORKGradientMap_t | m_gradients
IWORKGradientStopMap_t | m_gradientStops
IWORKMediaContentMap_t | m_images
IWORKLineSpacingMap_t | m_lineSpacings
IWORKListLabelGeometryMap_t | m_listLabelGeometries
IWORKListLabelTypeInfoMap_t | m_listLabelTypeInfos
IWORKNumberFormatMap_t | m_numberFormats
IWORKPaddingMap_t | m_paddings
IWORKPatternMap_t | m_patterns
IWORKShadowMap_t | m_shadows
IWORKStrokeMap_t | m_strokes
IWORKTableCellMap_t | m_tableCells
IWORKTableVectorMap_t | m_tableVectors
IWORKTabStopsMap_t | m_tabs
IWORKTableMap_t | m_tabulars
IWORKListLabelTypeInfoMap_t | m_textLabels
IWORKMediaContentMap_t | m_texturedFillImages
IWORKMediaContentMap_t | m_unfiltereds
std::unordered_map< ID_t, std::deque< double > > | m_doubleArrays
std::unordered_map< ID_t, std::deque< IWORKListLabelGeometry > > | m_listLabelGeometriesArrays
std::unordered_map< ID_t, std::deque< IWORKListLabelTypeInfo_t > > | m_listLabelTypesArrays

## Constructor & Destructor Documentation

## ◆ NUM1Dictionary()

libetonyek::NUM1Dictionary::NUM1Dictionary | ( |  | ) |

## Member Data Documentation

## ◆ m_workspaceStyles

IWORKStyleMap_t libetonyek::NUM1Dictionary::m_workspaceStyles

The documentation for this struct was generated from the following files:

- NUM1Dictionary.h
- NUM1Dictionary.cpp